import random

import base36
from django.core.exceptions import ValidationError
from django.db import models
from django.urls import reverse
from django.utils import timezone

from la_chariotte.order.models import GroupedOrder
from la_chariotte.settings import AUTH_USER_MODEL


class Lieu(models.Model):
    name = models.CharField(max_length=100, verbose_name="Nom du lieu de distribution")
    orga = models.ForeignKey(
        AUTH_USER_MODEL, on_delete=models.CASCADE, verbose_name="Organisateur·ice"
    )
    url = models.CharField(
        max_length=20, verbose_name="Portion du lien pour le lieu", unique=True
    )
    description = models.TextField("Description", null=True, blank=True)

    def __str__(self):  # pragma: no cover
        return self.name

    def get_absolute_url(self):
        return reverse("lieu:lieu_update", kwargs={"url": self.url})
